Stats = Ruby 1.6.8 on BeOS R5 BONE

I had been running Ruby 1.6.4 (prebuilt for BeOS) with vanilla BeOS (no 
BONE).  It worked great!  I switched to BONE and Ruby started 
segmenting.  I download 1.6.8 and built it myself  .  The new build 
seemed to work fine.  I then rebuilt the ruby sqlite module which ALSO 
seemed to work fine...  but when I try to run my program[s] against 
sqlite I get...

$ ruby pman_test.rb
/boot/home/config/lib/ruby/1.6/sqlite.rb:27:in `require': dlopen: could 
not find /boot/home/config/lib/ruby/1.6/i586-beos/_sqlite.so - /boot/
home/config/lib/ruby/1.6/i586-beos/_sqlite.so (LoadError)
        from /boot/home/config/lib/ruby/1.6/sqlite.rb:27
        from ./email.rb:1:in `require'
        from ./email.rb:1
        from pman_test.rb:1:in `require'
        from pman_test.rb:1
$  

Any ideas how I should proceed?

Thank you!

Mike J.

----------------------------------------------------------
The light at the end of the tunnel is the headlight of an approaching
train.